| Home | Libraries | People | FAQ | More

###### param::operator= (2 of 4 overloads)

Assignment.

###### Synopsis

    param&
    operator=(
        param const&);

###### Description

Upon assignment, this becomes a copy of `other`.

###### Postconditions

    this->key == other.key && this->value == other.value && this->has_value == other.has_value

###### Complexity

Linear in `other.key.size() + other.value.size()`.

###### Exception Safety

Calls to allocate may throw.

###### other The object to assign from.